<template>
    <div class="home">
        <div>
            <div class="header flex">
                <span>项目名称:{{itemTitle}}</span>
                <span>项目编号:{{itemCode}}</span>
            </div>
            <h2>{{itemTitle}}</h2>
            <div class="home" v-html="contentList">
                <h3>一、项目基本情况</h3>
                <div>
                    <div>原公告的采购项目编号:TSLT-2020-121</div>
                    <div>原公告的采购项目名称:图书馆影视空间装修改造</div>
                    <div>首次公告日期:2020年07月29日</div>
                </div>
                <h3>二、更正信息</h3>
                <div>
                    <div>更正事项:采购公告-采购文件</div>
                    <div>更正内容:原内容:P2第十项"保证金:本次不需要交保证金."此项删除.</div>
                    <div>更正日期:2020年08月03日</div>
                </div>
                <h3>三、其他补充事宜</h3>
                <h3>四、凡对本次公告内容提出询问,请按以下方式联系</h3>
            </div>
            <div class="flex-center">
            <el-button @click="prev"
                >返回</el-button
              >
        </div>
        </div>
    </div>
</template>

<script>
import {getChangeDetails} from '@/common/list.js'
export default {
    data(){
        return{
            contentList:[],
            itemTitle:'',
            itemCode:'',

        }

    },
    mounted(){
        let id = this.$route.query.id
        console.log(id)
        this.getChangeDetails(id)
    },
    methods:{
        prev() {
            window.history.go(-1)
        },
        async getChangeDetails(id){
            const {data} = await getChangeDetails(id)
            this.itemTitle = data.title
            this.itemCode = data.projectId
            this.contentList = data.content
        }
    },
}
</script>

<style>
h2{
    text-align: center;
}
.header>span{
    color:red;
    margin-bottom: 30px;
    margin-left:20px
}
h2{
    margin-bottom: 50px;
}
.home{
    width:9.2rem
}
</style>